local mod = MorgDKP2:NewModule("SKall")
local L = LibStub("AceLocale-3.0"):GetLocale("MorgDKP2")
local media = LibStub("LibSharedMedia-3.0", true)
local BC = LibStub("LibBabble-Class-3.0"):GetLookupTable()

local mdkp = MorgDKP2

--locals
local LL = LibStub("AceLocale-3.0"):NewLocale("SKall", "enUS", true)
	
if LL then
	LL["SKall DKP"] = true
	LL["Enable"] = true
	LL["Enable Suicide Kings spend all DKP."] = true
end

local LL = LibStub("AceLocale-3.0"):GetLocale("SKall")

mod.modName = LL["SKall DKP"]
mod.modref = "SKall"

local Player = UnitName("player")
local db
local fmt = string.format

local defaults = { 
	profile = {
		
	},
}

local options = {
		type = "group",
		handler = mod,
		name = LL["SKall DKP"],
		desc = LL["SKall DKP"],
		order = 360,
		args = {
			enable = {
				type = "toggle",
				name = LL["Enable"],
				desc = LL["Enable Suicide Kings spend all DKP."],
				get = function() return mdkp.db.profile.modules.SKall end,
				set = 	function(info, v) 
						mdkp.db.profile.modules.SKall = v
						if v then 
							mod:DKPChange(mod.modName)
						else 
							mod:Disable()
							mdkp.db.profile.currDKP = nil 	
						end
					end,
				order = 5
			},
		},
}

function mod:GetOptions()
	return options
end

function mod:IsDKP()
	return true
end

function mod:GetName()
	return mod.modName, mod.modref
end

function mod:OnInitialize()
	self.db = mdkp.db:RegisterNamespace("SKall", defaults)
	
end

function mod:OnEnable()
	db = mdkp.db.profile	
	db.moduleON["SKall"] = true
	
end

function mod:OnDisable()
	db.moduleON["SKall"] = nil
	--if db.currDKP == "SKall" then db.currDKP = nil end						
end

function mod:GetPlayerPoints(name, POOL)
	return db.info[name][POOL].points
end

function mod:GetItemValue(itemid, player, POOL)
	return self:GetPlayerPoints(player, POOL)
end

function mod:ItemRecorded(id, looter, POOL, points, itempoints, link)
	if looter == L["Bank"] then return end
	points = points - itempoints
	self:AwardItem(id, looter, POOL, points, itempoints, link)
end

function mod:ItemRebate(id, looter, POOL, itempoints, link)
	if not id or looter == L["Bank"] then return end
	self:AdjustDKPPoints(looter, looter, POOL, nil, itempoints)
end
